Package com.sap.ai.sdk.core.model

# Class BckndResourceGroup

java.lang.Object
com.sap.ai.sdk.core.model.BckndResourceGroup

public class BckndResourceGroup extends Object
BckndResourceGroup

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `BckndResourceGroup.Builder`
  Builder helper class.
  `static interface`
  `BckndResourceGroup.Builder1`
  Builder helper class.
  `static interface`
  `BckndResourceGroup.Builder2`
  Builder helper class.
  `static enum`
  `BckndResourceGroup.StatusEnum`
  aggregated status of the onboarding process

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndResourceGroup()`
  Default constructor for BckndResourceGroup.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndResourceGroup`
  `addLabelsItem(BckndResourceGroupLabel labelsItem)`
  Add one labels instance to this `BckndResourceGroup`.
  `static BckndResourceGroup.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `BckndResourceGroup` instance with all required arguments.
  `BckndResourceGroup`
  `createdAt(OffsetDateTime createdAt)`
  Set the createdAt of this `BckndResourceGroup` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `OffsetDateTime`
  `getCreatedAt()`
  Timestamp of resource group creation
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndResourceGroup`.
  `List<BckndResourceGroupLabel>`
  `getLabels()`
  Arbitrary labels as meta information
  `String`
  `getResourceGroupId()`
  resource group id
  `String`
  `getServicePlan()`
  service plan
  `BckndResourceGroup.StatusEnum`
  `getStatus()`
  aggregated status of the onboarding process
  `String`
  `getStatusMessage()`
  status message
  `String`
  `getTenantId()`
  tenant id
  `String`
  `getZoneId()`
  zone id
  `int`
  `hashCode()`
  `BckndResourceGroup`
  `labels(List<BckndResourceGroupLabel> labels)`
  Set the labels of this `BckndResourceGroup` instance and return the same instance.
  `BckndResourceGroup`
  `resourceGroupId(String resourceGroupId)`
  Set the resourceGroupId of this `BckndResourceGroup` instance and return the same instance.
  `BckndResourceGroup`
  `servicePlan(String servicePlan)`
  Set the servicePlan of this `BckndResourceGroup` instance and return the same instance.
  `void`
  `setCreatedAt(OffsetDateTime createdAt)`
  Set the createdAt of this `BckndResourceGroup` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndResourceGroup` instance.
  `void`
  `setLabels(List<BckndResourceGroupLabel> labels)`
  Set the labels of this `BckndResourceGroup` instance.
  `void`
  `setResourceGroupId(String resourceGroupId)`
  Set the resourceGroupId of this `BckndResourceGroup` instance.
  `void`
  `setServicePlan(String servicePlan)`
  Set the servicePlan of this `BckndResourceGroup` instance.
  `void`
  `setStatus(BckndResourceGroup.StatusEnum status)`
  Set the status of this `BckndResourceGroup` instance.
  `void`
  `setStatusMessage(String statusMessage)`
  Set the statusMessage of this `BckndResourceGroup` instance.
  `void`
  `setTenantId(String tenantId)`
  Set the tenantId of this `BckndResourceGroup` instance.
  `void`
  `setZoneId(String zoneId)`
  Set the zoneId of this `BckndResourceGroup` instance.
  `BckndResourceGroup`
  `status(BckndResourceGroup.StatusEnum status)`
  Set the status of this `BckndResourceGroup` instance and return the same instance.
  `BckndResourceGroup`
  `statusMessage(String statusMessage)`
  Set the statusMessage of this `BckndResourceGroup` instance and return the same instance.
  `BckndResourceGroup`
  `tenantId(String tenantId)`
  Set the tenantId of this `BckndResourceGroup` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndResourceGroup` instance including unrecognized properties.
  `String`
  `toString()`
  `BckndResourceGroup`
  `zoneId(String zoneId)`
  Set the zoneId of this `BckndResourceGroup` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndResourceGroup

    protected BckndResourceGroup()
    Default constructor for BckndResourceGroup.

- ## Method Details

  - ### resourceGroupId

    @Nonnull public BckndResourceGroup resourceGroupId(@Nonnull String resourceGroupId)
    Set the resourceGroupId of this `BckndResourceGroup` instance and return the same instance.
    Parameters:
      `resourceGroupId` - resource group id
    Returns:
      The same instance of this `BckndResourceGroup` class

  - ### getResourceGroupId

    @Nonnull public String getResourceGroupId()
    resource group id
    Returns:
      resourceGroupId The resourceGroupId of this `BckndResourceGroup` instance.

  - ### setResourceGroupId

    public void setResourceGroupId(@Nonnull String resourceGroupId)
    Set the resourceGroupId of this `BckndResourceGroup` instance.
    Parameters:
      `resourceGroupId` - resource group id

  - ### tenantId

    @Nonnull public BckndResourceGroup tenantId(@Nullable String tenantId)
    Set the tenantId of this `BckndResourceGroup` instance and return the same instance.
    Parameters:
      `tenantId` - tenant id
    Returns:
      The same instance of this `BckndResourceGroup` class

  - ### getTenantId

    @Nonnull public String getTenantId()
    tenant id
    Returns:
      tenantId The tenantId of this `BckndResourceGroup` instance.

  - ### setTenantId

    public void setTenantId(@Nullable String tenantId)
    Set the tenantId of this `BckndResourceGroup` instance.
    Parameters:
      `tenantId` - tenant id

  - ### zoneId

    @Nonnull public BckndResourceGroup zoneId(@Nullable String zoneId)
    Set the zoneId of this `BckndResourceGroup` instance and return the same instance.
    Parameters:
      `zoneId` - zone id
    Returns:
      The same instance of this `BckndResourceGroup` class

  - ### getZoneId

    @Nonnull public String getZoneId()
    zone id
    Returns:
      zoneId The zoneId of this `BckndResourceGroup` instance.

  - ### setZoneId

    public void setZoneId(@Nullable String zoneId)
    Set the zoneId of this `BckndResourceGroup` instance.
    Parameters:
      `zoneId` - zone id

  - ### createdAt

    @Nonnull public BckndResourceGroup createdAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `BckndResourceGroup` instance and return the same instance.
    Parameters:
      `createdAt` - Timestamp of resource group creation
    Returns:
      The same instance of this `BckndResourceGroup` class

  - ### getCreatedAt

    @Nonnull public OffsetDateTime getCreatedAt()
    Timestamp of resource group creation
    Returns:
      createdAt The createdAt of this `BckndResourceGroup` instance.

  - ### setCreatedAt

    public void setCreatedAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `BckndResourceGroup` instance.
    Parameters:
      `createdAt` - Timestamp of resource group creation

  - ### labels

    @Nonnull public BckndResourceGroup labels(@Nullable List<BckndResourceGroupLabel> labels)
    Set the labels of this `BckndResourceGroup` instance and return the same instance.
    Parameters:
      `labels` - Arbitrary labels as meta information
    Returns:
      The same instance of this `BckndResourceGroup` class

  - ### addLabelsItem

    @Nonnull public BckndResourceGroup addLabelsItem(@Nonnull BckndResourceGroupLabel labelsItem)
    Add one labels instance to this `BckndResourceGroup`.
    Parameters:
      `labelsItem` - The labels that should be added
    Returns:
      The same instance of type `BckndResourceGroup`

  - ### getLabels

    @Nonnull public List<BckndResourceGroupLabel> getLabels()
    Arbitrary labels as meta information
    Returns:
      labels The labels of this `BckndResourceGroup` instance.

  - ### setLabels

    public void setLabels(@Nullable List<BckndResourceGroupLabel> labels)
    Set the labels of this `BckndResourceGroup` instance.
    Parameters:
      `labels` - Arbitrary labels as meta information

  - ### status

    @Nonnull public BckndResourceGroup status(@Nonnull BckndResourceGroup.StatusEnum status)
    Set the status of this `BckndResourceGroup` instance and return the same instance.
    Parameters:
      `status` - aggregated status of the onboarding process
    Returns:
      The same instance of this `BckndResourceGroup` class

  - ### getStatus

    @Nonnull public BckndResourceGroup.StatusEnum getStatus()
    aggregated status of the onboarding process
    Returns:
      status The status of this `BckndResourceGroup` instance.

  - ### setStatus

    public void setStatus(@Nonnull BckndResourceGroup.StatusEnum status)
    Set the status of this `BckndResourceGroup` instance.
    Parameters:
      `status` - aggregated status of the onboarding process

  - ### statusMessage

    @Nonnull public BckndResourceGroup statusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `BckndResourceGroup` instance and return the same instance.
    Parameters:
      `statusMessage` - status message
    Returns:
      The same instance of this `BckndResourceGroup` class

  - ### getStatusMessage

    @Nonnull public String getStatusMessage()
    status message
    Returns:
      statusMessage The statusMessage of this `BckndResourceGroup` instance.

  - ### setStatusMessage

    public void setStatusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `BckndResourceGroup` instance.
    Parameters:
      `statusMessage` - status message

  - ### servicePlan

    @Nonnull public BckndResourceGroup servicePlan(@Nullable String servicePlan)
    Set the servicePlan of this `BckndResourceGroup` instance and return the same instance.
    Parameters:
      `servicePlan` - service plan
    Returns:
      The same instance of this `BckndResourceGroup` class

  - ### getServicePlan

    @Nonnull public String getServicePlan()
    service plan
    Returns:
      servicePlan The servicePlan of this `BckndResourceGroup` instance.

  - ### setServicePlan

    public void setServicePlan(@Nullable String servicePlan)
    Set the servicePlan of this `BckndResourceGroup` instance.
    Parameters:
      `servicePlan` - service plan

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndResourceGroup`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndResourceGroup` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndResourceGroup` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndResourceGroup` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndResourceGroup.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `BckndResourceGroup` instance with all required arguments.